Subject: Re: ixgbe funkiness after OOM

From: Ben Greear <[email-masked]>
Date: Tue, 08 Dec 2009 22:57:49 -0800

On 12/08/2009 10:47 PM, Peter P Waskiewicz Jr wrote:

>> At this point, there is 8GB of free RAM, and no obvious OOM issues showing up in the logs.
>>
>> It looks like error -12 means:
>>
>> IXGBE_ERR_MASTER_REQUESTS_PENDING
>>
>
> We have a fix coming for this issue.  Basically we have PCIe
> transactions that haven't completed when a reset shows up, and are
> wedged in the PCIe block.  We have a way to whack the hardware the right
> way to get these pending transactions cleared, which allows the device
> to finish its reset correctly.
>
> I'll try and get that patch fast-tracked through our testing.  But if
> this issue is easily reproducible for you, I can send you the patch in
> the meantime to see if it helps your situation, while we finish our test
> pass and push to netdev.

I've had several other NIC lockups that appear similar, but I didn't
look at them so closely.  I'd be happy to test a patch if you have
one handy.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com